# pss-total-waybar
sum proportional set size of every process for accurate memory usage statistics.
In non-pretty mode, the number is given in kibibytes.

This version is for use with [waybar](https://github.com/Alexays/Waybar). It
outputs JSON that waybar can interpret using a 
[custom module](https://github.com/Alexays/Waybar/wiki/Module:-Custom). 

Here is an example configuration:
```json
"custom/pss-memory": {
  "exec": "pss-total-waybar",
  "return-type": "json",
  "restart-interval": 3,
  "format": "{} {icon}",
  "format-icons": ["▁", "▂", "▃", "▄", "▅", "▆", "▇", "█"]
}
```

Licensed under GPLv3.

### Summary
pss-total-waybar [OPTIONS]

### Options
 - `-h`, `--help`: print this help message.


## Building

Build for debug/development: `ninja debug`

Build for production: `ninja release`

Install: `ninja release && sudo sh install.sh`

Uninstall: `sudo sh uninstall.sh`

